#!/bin/sh
# Run the tests on the installed version of Metview
# -------------------------------------------------

set -ea

tests="HelloWorld.mv layoutx3.mv grib_dates.mv grib_nearest_gridpoint.mv interpolation_sh_to_ll.mv interpolation_sh_to_rgg.mv interpolation_rgg_to_ll.mv grib_to_gpt.mv gpt_to_grib_core.mv gpt_to_grib_with_template.mv gpt_to_grib_nearest.mv bufr_obs_filter.mv bufr_picker.mv inline_c.mv inline_fortran.mv station.mv vectors.mv lists.mv dates.mv fieldsets.mv divrot.mv "

METVIEW_COMMAND="/usr/bin/metview"
TESTS_DIR="/build/metview-j0uVJj/metview-4.9.1/debian/build/test/macros"

if [ ! -f ${METVIEW_COMMAND} ] 
then
    echo "Command '${METVIEW_COMMAND}' does not exist"
    exit 1
fi


for test in $tests
do
    run="${METVIEW_COMMAND} -b ${TESTS_DIR}/$test"
    echo $run
    ${run}
    echo "Returns $?"
done


# if we got this far, then all tests must have succeeded
echo "ALL TESTS PASSED"
echo ""
